Microsoft.Build.Utilities 2.0.0.0 System.Object To be added.

Provides utility methods for locating dnprdnshort and dnprdnshort SDK files and directories.

- Method
  System.String `` To be added.

  Gets the full name of the dnprdnshort root registry key.

  A string containing the full name of the dnprdnshort root registry key.

  The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the name of the value under the that contains the dnprdnshort SDK installation path.

  Returns a string containing the name of the registry key value under the that contains the dnprdnshort SDK installation path.

  The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String ``

  An example of the value returned is the string "v2.0".

  Gets the prefix of the dnprdnshort folder.

  Returns the prefix of the dnprdnshort folder.

  The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String `` To be added.

  Gets a fully qualified path to the dnprdnshort root directory.

  A string containing the fully qualified path to the dnprdnshort root directory, or a null reference (Nothing in vbprvb) if the targeted version of the dnprdnshort is not installed.

  The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String `` `` To be added.

  Gets a fully qualified path to a file in the dnprdnshort directory.

  A string containing the fully qualified path to the specified file, or a null reference (Nothing in vbprvb) if the targeted version of the dnprdnshort is not installed.

  The file to locate in the dnprdnshort directory. The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the fully qualified path to the \bin directory of the dnprdnshort SDK.

  A string containing the fully qualified path to the \bin directory of the dnprdnshort SDK, or a null reference (Nothing in vbprvb) if the targeted version of the dnprdnshort SDK is not installed.

  The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String `` ``

  The path for the SDK takes in consideration the processor architecture environment information for the calling process, so it might end up being ".../bin/i64", for example.

  Unlike and this method checks for the existence of the file, so that an invalid returns null.

  Gets the fully qualified path to a file in the dnprdnshort SDK.

  A string containing the fully qualified path to the \bin directory of the dnprdnshort SDK, or a null reference (Nothing in vbprvb) if the targeted version of the dnprdnshort SDK is not installed.

  The file to locate in the dnprdnshort SDK. The version of the dnprdnshort to target. 2.0.0.0
- Method
  System.String ``

  This API builds the full path plus filename for a file in the System folder. It doesn't check for the existence of the file prior to returning.

  Gets a fully qualified path to a file in the system directory.

  A string containing the fully qualified path to the the file in the system directory.

  The file to locate in the System folder. 2.0.0.0
- Property
  System.String To be added.

  An example of the value returned is the string "C:\WinNT\System32".

  Gets the fully qualified path of the system directory.

  2.0.0.0